<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.cardview.widget.CardView
        android:id="@+id/list_mode"
        android:layout_width="@dimen/convert_450px"
        android:layout_height="@dimen/convert_120px"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/convert_105px"
        app:cardCornerRadius="@dimen/convert_60px"
        app:cardElevation="@dimen/convert_10px">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">


            <ImageView
                android:id="@+id/iv_icon"
                android:layout_width="@dimen/convert_54px"
                android:layout_height="@dimen/convert_54px"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/convert_66px"
                android:background="@drawable/ic_grid" />


            <com.develop.food.base.widgets.MarqueeTextView
                android:id="@+id/list_name"
                android:ellipsize="marquee"
                android:focusable="true"
                android:singleLine="true"
                android:layout_width="match_parent"
                android:layout_marginEnd="@dimen/convert_40px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/convert_39px"
                android:layout_toEndOf="@id/iv_icon"
                android:text="@string/grid_view"
                android:textColor="@color/ic_modes_title"
                android:textSize="@dimen/convert_44px" />
        </RelativeLayout>

    </androidx.cardview.widget.CardView>

    <RelativeLayout
        android:id="@+id/mode_layout_034"
        android:layout_width="@dimen/convert_450px"
        android:layout_height="@dimen/convert_120px"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/convert_105px"
        android:background="@drawable/shadow_60pxffffff_stoke"
        android:visibility="gone">


        <ImageView
            android:id="@+id/iv_icon2"
            android:layout_width="@dimen/convert_54px"
            android:layout_height="@dimen/convert_54px"
            android:layout_centerVertical="true"
            android:layout_marginStart="@dimen/convert_66px"
            android:background="@drawable/ic_grid" />


        <com.develop.food.base.widgets.MarqueeTextView
            android:id="@+id/list_name2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:focusable="true"
            android:singleLine="true"
            android:layout_marginEnd="@dimen/convert_40px"
            android:ellipsize="marquee"
            android:layout_marginStart="@dimen/convert_39px"
            android:layout_toEndOf="@id/iv_icon2"
            android:text="@string/grid_view"
            android:textColor="@color/ic_modes_title"
            android:textSize="@dimen/convert_54px" />
    </RelativeLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/grid_recycle"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/convert_345px"
        android:visibility="gone" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/gallery_recycle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/convert_345px"
        android:clipToPadding="false"
        android:orientation="horizontal"
        android:paddingStart="@dimen/convert_234px"
        android:paddingEnd="@dimen/convert_234px"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

</RelativeLayout>